io.agora.rtc

## Class SrcInfo

- java.lang.Object
- - io.agora.rtc.SrcInfo

-     public class SrcInfo
      extends java.lang.Object

  Information about source stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrateInKbps` Bitrate (Kbps)
    `private java.lang.String` | `name` Source name

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrcInfo()` Default constructor for SrcInfo.
    `SrcInfo(int bitrateInKbps, java.lang.String name)` Constructs SrcInfo with bitrate and name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrateInKbps()` Gets the bitrate (Kbps).
    `java.lang.String` | `getName()` Gets the source name.
    `void` | `setBitrateInKbps(int bitrateInKbps)` Sets the bitrate (Kbps).
    `void` | `setName(java.lang.String name)` Sets the source name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bitrateInKbps

          private int bitrateInKbps

      Bitrate (Kbps)

    - #### name

          private java.lang.String name

      Source name

  - ### Constructor Detail

    - #### SrcInfo

          public SrcInfo()

      Default constructor for SrcInfo.

    - #### SrcInfo

          public SrcInfo(int bitrateInKbps,
                         java.lang.String name)

      Constructs SrcInfo with bitrate and name.
      Parameters:
        `bitrateInKbps` - Bitrate (Kbps)
        `name` - Source name

  - ### Method Detail

    - #### getBitrateInKbps

          public int getBitrateInKbps()

      Gets the bitrate (Kbps).
      Returns:
        Bitrate (Kbps)

    - #### setBitrateInKbps

          public void setBitrateInKbps(int bitrateInKbps)

      Sets the bitrate (Kbps).
      Parameters:
        `bitrateInKbps` - Bitrate (Kbps)

    - #### getName

          public java.lang.String getName()

      Gets the source name.
      Returns:
        Source name

    - #### setName

          public void setName(java.lang.String name)

      Sets the source name.
      Parameters:
        `name` - Source name